Package Details: pioneer 20190203-1

Git Clone URL: https://aur.archlinux.org/pioneer.git (read-only)
Package Base: pioneer
Description: A game of lonely space adventure
Upstream URL: https://github.com/pioneerspacesim/pioneer
Keywords: game sim space
Licenses: GPL3
Conflicts: pioneer-bin, pioneer-git
Provides: pioneer
Submitter: yitzi
Maintainer: Un1Gfn
Last Packager: Un1Gfn
Votes: 20
Popularity: 0.012288
First Submitted: 2015-12-26 15:01
Last Updated: 2019-02-15 09:45

Pinned Comments

Un1Gfn commented on 2019-02-15 02:01

Update to version 20190203.

Please comment if you encounter any failures when building or playing.

Latest Comments

1 2 Next › Last »

Un1Gfn commented on 2019-02-17 01:50

Dear @jcb2016

In Archlinux, /tmp defaults to tmpfs, which resides in RAM.

I don't think you have that much RAM to hold source code and build output of such a huge game.

Please do it in somewhere else instead of /tmp.

Succeed?

jcb2016 commented on 2019-02-17 01:36

I did a 1. cd /tmp 2. git clone 3. cd pioneer 4. makepkg -si

everything seemed fine until the end i kept getting these errors then it failed

pioneer-20190203/win32/vs2017/ui/ui.vcxproj: Write failed pioneer-20190203/win32/vs2017/ui/ui.vcxproj.filters: Write failed bsdtar: Error exit delayed from previous errors. ==> ERROR: Failed to extract pioneer-20190203.tar.gz

Un1Gfn commented on 2019-02-15 02:01

Update to version 20190203.

Please comment if you encounter any failures when building or playing.

khau commented on 2018-02-05 17:02

Requires autoconf and automake. I'm not sure what the norm is, based off of @boenki 's message, but it might be worth listing. If people have it from base-devel, it won't hurt. If they don't have it, it'll notify them. But again, I'm not sure what the norm is for listing those as dependencies.

joaojotta commented on 2017-09-30 19:39

Can't run the me:

ver on: Linux

System Name: Linux
Host Name: i6400
Release(Kernel) Version: 4.13.3-1-ARCH
Kernel Build Timestamp: #1 SMP PREEMPT Thu Sep 21 20:33:16 CEST 2017
Machine Arch: x86_64
Domain Name: (none)

SDL Version 2.0.6
Initialized OpenGL 3.1, with extensions, renderer
invalid axis binding '' in config file for BindAxisPitch
invalid axis binding '' in config file for BindAxisRoll
invalid axis binding '' in config file for BindAxisYaw
started 3 worker threads
ShipType::Init()
Lua::Init()
Fonts:
font orbiteer:
- DejaVuSans.ttf 1.200000
- wqy-microhei.ttc 1.000000
- Orbiteer-Bold.ttf 1.000000
font pionillium:
- DejaVuSans.ttf 0.928571
- wqy-microhei.ttc 1.000000
- PionilliumText22L-Medium.ttf 1.000000
Segmentation fault



Any tips?

joaojotta commented on 2017-09-30 19:39

Can't run the me:

ver on: Linux

System Name: Linux
Host Name: i6400
Release(Kernel) Version: 4.13.3-1-ARCH
Kernel Build Timestamp: #1 SMP PREEMPT Thu Sep 21 20:33:16 CEST 2017
Machine Arch: x86_64
Domain Name: (none)

SDL Version 2.0.6
Initialized OpenGL 3.1, with extensions, renderer
invalid axis binding '' in config file for BindAxisPitch
invalid axis binding '' in config file for BindAxisRoll
invalid axis binding '' in config file for BindAxisYaw
started 3 worker threads
ShipType::Init()
Lua::Init()
Fonts:
font orbiteer:
- DejaVuSans.ttf 1.200000
- wqy-microhei.ttc 1.000000
- Orbiteer-Bold.ttf 1.000000
font pionillium:
- DejaVuSans.ttf 0.928571
- wqy-microhei.ttc 1.000000
- PionilliumText22L-Medium.ttf 1.000000
Segmentation fault



Any tips?

kamelie1706 commented on 2017-03-28 16:48

I get
***
Could not find naturaldocs
***

pirogronian commented on 2016-12-02 16:47

Works now. Thanks!

yitzi commented on 2016-12-02 14:41

Try now @pirogrionion

pirogronian commented on 2016-12-02 14:10

I got checksum error for file pioneer-20161129.tar.gz. Checked twice, inside clear folder.